curl --request GET \
--url https://dev.flextell.ai/api/v1/tickets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"code": "<string>",
"description": "<string>",
"status": "<string>",
"type": "<string>",
"position": "<string>",
"creation_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>"
},
"related_person": {
"id": 123,
"name": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
The number of tickets per page.
1 <= x <= 100The page number.
x >= 1Sort by a field.
code, status, type, created_at, updated_at Sort order.
asc, desc Filter by ticket status.
open, processing, resolved, closed Filter by ticket type.
general, complaint, side_effect, request, suggestion Filter by customer id.
x >= 1Filter by related person (assigned user) id.
x >= 1Filter by trashed status.
curl --request GET \
--url https://dev.flextell.ai/api/v1/tickets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"code": "<string>",
"description": "<string>",
"status": "<string>",
"type": "<string>",
"position": "<string>",
"creation_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>"
},
"related_person": {
"id": 123,
"name": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}